package com.brilliance.isc.vo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Setgid;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Oldgidgrp;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitplbStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gidgrp oldgidgrp;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date chgdat;
    private  BigDecimal chgamt = Decimals.ZERO_SCALE2;
    private Setgid dftcomflg;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        if (dftcomflg == null) {
            dftcomflg = new Setgid();
        }
    }

}
